### Hierarchy

- unknown
  - InputsForDepositTxRequest

## Index

### Constructors

- constructor

### Methods

- addAcceptedArbitratorNodeAddresses
- addAcceptedMediatorNodeAddresses
- addAcceptedRefundAgentNodeAddresses
- addRawTransactionInputs
- clearAcceptedArbitratorNodeAddressesList
- clearAcceptedMediatorNodeAddressesList
- clearAcceptedRefundAgentNodeAddressesList
- clearArbitratorNodeAddress
- clearMediatorNodeAddress
- clearRawTransactionInputsList
- clearRefundAgentNodeAddress
- clearSenderNodeAddress
- clearTakerPaymentAccountPayload
- clearTakerPubKeyRing
- getAcceptedArbitratorNodeAddressesList
- getAcceptedMediatorNodeAddressesList
- getAcceptedRefundAgentNodeAddressesList
- getAccountAgeWitnessSignatureOfOfferId
- getAccountAgeWitnessSignatureOfOfferId_asB64
- getAccountAgeWitnessSignatureOfOfferId_asU8
- getArbitratorNodeAddress
- getChangeOutputAddress
- getChangeOutputValue
- getCurrentDate
- getMediatorNodeAddress
- getRawTransactionInputsList
- getRefundAgentNodeAddress
- getSenderNodeAddress
- getTakerAccountId
- getTakerFee
- getTakerFeeTxId
- getTakerMultiSigPubKey
- getTakerMultiSigPubKey_asB64
- getTakerMultiSigPubKey_asU8
- getTakerPaymentAccountPayload
- getTakerPayoutAddressString
- getTakerPubKeyRing
- getTradeAmount
- getTradeId
- getTradePrice
- getTxFee
- getUid
- hasArbitratorNodeAddress
- hasMediatorNodeAddress
- hasRefundAgentNodeAddress
- hasSenderNodeAddress
- hasTakerPaymentAccountPayload
- hasTakerPubKeyRing
- serializeBinary
- setAcceptedArbitratorNodeAddressesList
- setAcceptedMediatorNodeAddressesList
- setAcceptedRefundAgentNodeAddressesList
- setAccountAgeWitnessSignatureOfOfferId
- setArbitratorNodeAddress
- setChangeOutputAddress
- setChangeOutputValue
- setCurrentDate
- setMediatorNodeAddress
- setRawTransactionInputsList
- setRefundAgentNodeAddress
- setSenderNodeAddress
- setTakerAccountId
- setTakerFee
- setTakerFeeTxId
- setTakerMultiSigPubKey
- setTakerPaymentAccountPayload
- setTakerPayoutAddressString
- setTakerPubKeyRing
- setTradeAmount
- setTradeId
- setTradePrice
- setTxFee
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new InputsForDepositTxRequest(): InputsForDepositTxRequest

- Inherited from jspb.Message.constructor

  #### Returns InputsForDepositTxRequest

## Methods

### addAcceptedArbitratorNodeAddresses

- addAcceptedArbitratorNodeAddresses(value?: NodeAddress, index?: number): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1080

  #### Parameters

  - ##### Optional value: NodeAddress

  - ##### Optional index: number

  #### Returns NodeAddress

### addAcceptedMediatorNodeAddresses

- addAcceptedMediatorNodeAddresses(value?: NodeAddress, index?: number): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1085

  #### Parameters

  - ##### Optional value: NodeAddress

  - ##### Optional index: number

  #### Returns NodeAddress

### addAcceptedRefundAgentNodeAddresses

- addAcceptedRefundAgentNodeAddresses(value?: NodeAddress, index?: number): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1111

  #### Parameters

  - ##### Optional value: NodeAddress

  - ##### Optional index: number

  #### Returns NodeAddress

### addRawTransactionInputs

- addRawTransactionInputs(value?: RawTransactionInput, index?: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:1045

  #### Parameters

  - ##### Optional value: RawTransactionInput

  - ##### Optional index: number

  #### Returns RawTransactionInput

### clearAcceptedArbitratorNodeAddressesList

- clearAcceptedArbitratorNodeAddressesList(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1079

  #### Returns InputsForDepositTxRequest

### clearAcceptedMediatorNodeAddressesList

- clearAcceptedMediatorNodeAddressesList(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1084

  #### Returns InputsForDepositTxRequest

### clearAcceptedRefundAgentNodeAddressesList

- clearAcceptedRefundAgentNodeAddressesList(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1110

  #### Returns InputsForDepositTxRequest

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1090

  #### Returns InputsForDepositTxRequest

### clearMediatorNodeAddress

- clearMediatorNodeAddress(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1095

  #### Returns InputsForDepositTxRequest

### clearRawTransactionInputsList

- clearRawTransactionInputsList(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1044

  #### Returns InputsForDepositTxRequest

### clearRefundAgentNodeAddress

- clearRefundAgentNodeAddress(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1116

  #### Returns InputsForDepositTxRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1028

  #### Returns InputsForDepositTxRequest

### clearTakerPaymentAccountPayload

- clearTakerPaymentAccountPayload(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1069

  #### Returns InputsForDepositTxRequest

### clearTakerPubKeyRing

- clearTakerPubKeyRing(): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1064

  #### Returns InputsForDepositTxRequest

### getAcceptedArbitratorNodeAddressesList

- getAcceptedArbitratorNodeAddressesList(): NodeAddress []

- - Defined in src/protobuf/pb_pb.d.ts:1077

  #### Returns NodeAddress []

### getAcceptedMediatorNodeAddressesList

- getAcceptedMediatorNodeAddressesList(): NodeAddress []

- - Defined in src/protobuf/pb_pb.d.ts:1082

  #### Returns NodeAddress []

### getAcceptedRefundAgentNodeAddressesList

- getAcceptedRefundAgentNodeAddressesList(): NodeAddress []

- - Defined in src/protobuf/pb_pb.d.ts:1108

  #### Returns NodeAddress []

### getAccountAgeWitnessSignatureOfOfferId

- getAccountAgeWitnessSignatureOfOfferId(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1100

  #### Returns string | Uint8Array

### getAccountAgeWitnessSignatureOfOfferId_asB64

- getAccountAgeWitnessSignatureOfOfferId_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1102

  #### Returns string

### getAccountAgeWitnessSignatureOfOfferId_asU8

- getAccountAgeWitnessSignatureOfOfferId_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1101

  #### Returns Uint8Array

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1087

  #### Returns undefined | NodeAddress

### getChangeOutputAddress

- getChangeOutputAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:1050

  #### Returns string

### getChangeOutputValue

- getChangeOutputValue(): number

- - Defined in src/protobuf/pb_pb.d.ts:1047

  #### Returns number

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1105

  #### Returns number

### getMediatorNodeAddress

- getMediatorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1092

  #### Returns undefined | NodeAddress

### getRawTransactionInputsList

- getRawTransactionInputsList(): RawTransactionInput []

- - Defined in src/protobuf/pb_pb.d.ts:1042

  #### Returns RawTransactionInput []

### getRefundAgentNodeAddress

- getRefundAgentNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1113

  #### Returns undefined | NodeAddress

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1025

  #### Returns undefined | NodeAddress

### getTakerAccountId

- getTakerAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1071

  #### Returns string

### getTakerFee

- getTakerFee(): number

- - Defined in src/protobuf/pb_pb.d.ts:1039

  #### Returns number

### getTakerFeeTxId

- getTakerFeeTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1074

  #### Returns string

### getTakerMultiSigPubKey

- getTakerMultiSigPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1053

  #### Returns string | Uint8Array

### getTakerMultiSigPubKey_asB64

- getTakerMultiSigPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1055

  #### Returns string

### getTakerMultiSigPubKey_asU8

- getTakerMultiSigPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1054

  #### Returns Uint8Array

### getTakerPaymentAccountPayload

- getTakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:1066

  #### Returns undefined | PaymentAccountPayload

### getTakerPayoutAddressString

- getTakerPayoutAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:1058

  #### Returns string

### getTakerPubKeyRing

- getTakerPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1061

  #### Returns undefined | PubKeyRing

### getTradeAmount

- getTradeAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:1030

  #### Returns number

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1022

  #### Returns string

### getTradePrice

- getTradePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:1033

  #### Returns number

### getTxFee

- getTxFee(): number

- - Defined in src/protobuf/pb_pb.d.ts:1036

  #### Returns number

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1097

  #### Returns string

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1089

  #### Returns boolean

### hasMediatorNodeAddress

- hasMediatorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1094

  #### Returns boolean

### hasRefundAgentNodeAddress

- hasRefundAgentNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1115

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1027

  #### Returns boolean

### hasTakerPaymentAccountPayload

- hasTakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1068

  #### Returns boolean

### hasTakerPubKeyRing

- hasTakerPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1063

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1118

  #### Returns Uint8Array

### setAcceptedArbitratorNodeAddressesList

- setAcceptedArbitratorNodeAddressesList(value: NodeAddress []): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1078

  #### Parameters

  - ##### value: NodeAddress []

  #### Returns InputsForDepositTxRequest

### setAcceptedMediatorNodeAddressesList

- setAcceptedMediatorNodeAddressesList(value: NodeAddress []): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1083

  #### Parameters

  - ##### value: NodeAddress []

  #### Returns InputsForDepositTxRequest

### setAcceptedRefundAgentNodeAddressesList

- setAcceptedRefundAgentNodeAddressesList(value: NodeAddress []): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1109

  #### Parameters

  - ##### value: NodeAddress []

  #### Returns InputsForDepositTxRequest

### setAccountAgeWitnessSignatureOfOfferId

- setAccountAgeWitnessSignatureOfOfferId(value: string | Uint8Array): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1103

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InputsForDepositTxRequest

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1088

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InputsForDepositTxRequest

### setChangeOutputAddress

- setChangeOutputAddress(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1051

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### setChangeOutputValue

- setChangeOutputValue(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1048

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setCurrentDate

- setCurrentDate(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1106

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setMediatorNodeAddress

- setMediatorNodeAddress(value?: NodeAddress ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1093

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InputsForDepositTxRequest

### setRawTransactionInputsList

- setRawTransactionInputsList(value: RawTransactionInput []): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1043

  #### Parameters

  - ##### value: RawTransactionInput []

  #### Returns InputsForDepositTxRequest

### setRefundAgentNodeAddress

- setRefundAgentNodeAddress(value?: NodeAddress ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1114

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InputsForDepositTxRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1026

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InputsForDepositTxRequest

### setTakerAccountId

- setTakerAccountId(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1072

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### setTakerFee

- setTakerFee(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1040

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setTakerFeeTxId

- setTakerFeeTxId(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1075

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### setTakerMultiSigPubKey

- setTakerMultiSigPubKey(value: string | Uint8Array): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1056

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InputsForDepositTxRequest

### setTakerPaymentAccountPayload

- setTakerPaymentAccountPayload(value?: PaymentAccountPayload ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1067

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns InputsForDepositTxRequest

### setTakerPayoutAddressString

- setTakerPayoutAddressString(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1059

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### setTakerPubKeyRing

- setTakerPubKeyRing(value?: PubKeyRing ): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1062

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns InputsForDepositTxRequest

### setTradeAmount

- setTradeAmount(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1031

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setTradeId

- setTradeId(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1023

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### setTradePrice

- setTradePrice(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1034

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setTxFee

- setTxFee(value: number): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1037

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxRequest

### setUid

- setUid(value: string): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1098

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxRequest

### toObject

- toObject(includeInstance?: boolean): InputsForDepositTxRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1119

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns InputsForDepositTxRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1122

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InputsForDepositTxRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InputsForDepositTxRequest, reader: BinaryReader): InputsForDepositTxRequest

- - Defined in src/protobuf/pb_pb.d.ts:1123

  #### Parameters

  - ##### message: InputsForDepositTxRequest

  - ##### reader: BinaryReader

  #### Returns InputsForDepositTxRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: InputsForDepositTxRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1121

  #### Parameters

  - ##### message: InputsForDepositTxRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: InputsForDepositTxRequest ): InputsForDepositTxRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1120

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InputsForDepositTxRequest

  #### Returns InputsForDepositTxRequest . AsObject

Generated using TypeDoc